import { HttpErrorResponse } from "@angular/common/http";
/**
 * yaya系统处理服务
 * 可继承该服务实现自定义业务逻辑
 */
export declare class MasterService {
    /**
     * 判断是否系统错误
     * @param response
     * @param apiCode
     */
    isSystemError(apiCode: string, response: any): boolean;
    /**
     * 网络问题处理
     * @param apiCode
     * @param response
     */
    networkError(apiCode: string, error: HttpErrorResponse): void;
    /**
     * 判断是否是业务错误
     * @param response
     * @param apiCode
     */
    isBusinessError(apiCode: string, response: any): boolean;
    /**
     * 系统错误处理
     * @param apiCode
     * @param response
     * @returns 是否希望系统抛出异常
     */
    systemErrorHandle(apiCode: string, response: any): boolean;
    /**
     * 业务错误处理
     * @param apiCode
     * @param response
     * @returns 是否希望系统抛出异常
     */
    businessErrorHandle(apiCode: string, response: any): boolean;
}
